apiVersion: apps/v1
kind: Deployment
metadata:
  name: opengist
  namespace: default
  labels:
    app: opengist
spec:
  replicas: 1
  selector:
    matchLabels:
      app: opengist
  template:
    metadata:
      labels:
        app: opengist
    spec:
      containers:
        - name: opengist
          image: ghcr.io/thomiceli/opengist:latest
          imagePullPolicy: IfNotPresent
          ports:
            - name: http
              containerPort: 6157
            - name: ssh
              containerPort: 2222
          resources:
            limits:
              memory: "512Mi"
              cpu: "500m"
          volumeMounts:
            - name: data-vol
              mountPath: /opengist
      volumes:
        - name: data-vol
          persistentVolumeClaim:
            claimName: opengist-pvc

